Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.api.xmldb
Interface BXXMLDBText

All Known Implementing Classes:
  BXCollection, BXCollectionManagementService, BXDatabase, BXQueryService, BXResourceIterator, BXResourceSet, BXXMLResource

    public interface BXXMLDBText

This class organizes textual information for the XMLDB API.

Author:
  Workgroup DBIS, University of Konstanz 2005-08, ISC License, Andreas Weiler

Field Summary
`static java.lang.String` | `CONFORMANCE_LEVEL` Conformance Level of the implementation.
`static java.lang.String` | `DBURI` DB URI.
`static java.lang.String` | `ERR_BINARY` Error Message.
`static java.lang.String` | `ERR_CONT` Error Message.
`static java.lang.String` | `ERR_DOC` Error Message.
`static java.lang.String` | `ERR_EMPTY` Error Message.
`static java.lang.String` | `ERR_ID` Error Message.
`static java.lang.String` | `ERR_INV` Error Message.
`static java.lang.String` | `ERR_ITER` Error Message.
`static java.lang.String` | `ERR_NSURI` Error Message.
`static java.lang.String` | `ERR_PROP` Error Message.
`static java.lang.String` | `ERR_RES` Error Message.
`static java.lang.String` | `ERR_TYPE` Error Message.
`static java.lang.String` | `ERR_UNKNOWN` Error Message.
`static java.lang.String` | `ERR_URI` Error Message.
`static java.lang.String` | `LOCALHOST` Localhost Name.
`static java.lang.String` | `XMLDB` XMLDB URI.
`static java.lang.String` | `XMLDBURI` XMLDB URI.

Field Detail

### DBURI

    static final java.lang.String DBURI

  DB URI.

### XMLDB

    static final java.lang.String XMLDB

  XMLDB URI.

  See Also:
    Constant Field Values

### XMLDBURI

    static final java.lang.String XMLDBURI

  XMLDB URI.

### LOCALHOST

    static final java.lang.String LOCALHOST

  Localhost Name.

### CONFORMANCE_LEVEL

    static final java.lang.String CONFORMANCE_LEVEL

  Conformance Level of the implementation.

  See Also:
    Constant Field Values

### ERR_URI

    static final java.lang.String ERR_URI

  Error Message.

  See Also:
    Constant Field Values

### ERR_PROP

    static final java.lang.String ERR_PROP

  Error Message.

  See Also:
    Constant Field Values

### ERR_BINARY

    static final java.lang.String ERR_BINARY

  Error Message.

  See Also:
    Constant Field Values

### ERR_TYPE

    static final java.lang.String ERR_TYPE

  Error Message.

  See Also:
    Constant Field Values

### ERR_EMPTY

    static final java.lang.String ERR_EMPTY

  Error Message.

  See Also:
    Constant Field Values

### ERR_ID

    static final java.lang.String ERR_ID

  Error Message.

  See Also:
    Constant Field Values

### ERR_UNKNOWN

    static final java.lang.String ERR_UNKNOWN

  Error Message.

  See Also:
    Constant Field Values

### ERR_INV

    static final java.lang.String ERR_INV

  Error Message.

  See Also:
    Constant Field Values

### ERR_CONT

    static final java.lang.String ERR_CONT

  Error Message.

  See Also:
    Constant Field Values

### ERR_NSURI

    static final java.lang.String ERR_NSURI

  Error Message.

  See Also:
    Constant Field Values

### ERR_RES

    static final java.lang.String ERR_RES

  Error Message.

  See Also:
    Constant Field Values

### ERR_ITER

    static final java.lang.String ERR_ITER

  Error Message.

  See Also:
    Constant Field Values

### ERR_DOC

    static final java.lang.String ERR_DOC

  Error Message.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD